> For the complete documentation index, see [llms.txt](https://docs.quilt.bio/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quilt.bio/quilt-2-master/api/api-teams.md).

# Teams

Quilt Teams offer enhanced security, auditing, and privacy. Only team members can read and write data to and from the team. Teams are controlled by one or more admins who have access to a special web interface where they can audit data usage, add new members, and more.

Technically, a Quilt team is a dedicated, single-tenant registry with a private package namespace. Teams also feature their own web catalog (accessible only to team members), similar to [quiltdata.com](https://quiltdata.com).

To create your own Quilt team, [contact Quilt](https://github.com/quiltdata/quilt/tree/38ebf1261a117ba68a2c9e643216cee9923658db/docs/sales@quiltdata.io).

## Command line API

Team members have access to the [standard command line API](https://github.com/quiltdata/quilt/tree/38ebf1261a117ba68a2c9e643216cee9923658db/docs/api.md) with the following differences and additional features.

### `quilt login`

Authenticate to team registry:

```
quilt login TEAM
```

### `quilt build|push|install`

Team users should prefix package handles with the team namespace:

```
quilt build|push|install TEAM:USER/PKG
```

### `quilt push` visibility

* `quilt push --team` makes a package visible to everyone on your team
* `quilt push --public` is currently disabled for team packages

### `quilt access`

To make a package visible to your entire team:

```
quilt access add TEAM:USER/PKG team
```

Public visibility is not yet supported for team packages.

### `quilt user list`

List users and associated metadata for your team.

```
quilt user list TEAM
```

### `quilt user create`

Add a team member.

```
quilt user create TEAM USERNAME EMAIL
```

### `quilt user disable`

Disable a team member.

```
quilt user disable TEAM USERNAME
```

### `quilt user reset-password`

Send a user a reset-password email.

```
quilt user reset-password TEAM USERNAME
```

### `quilt audit`

Audit events relating to a user or package.

```
quilt audit USER_OR_PACKAGE
```

## Import and use data

```python
from quilt.team.TEAM.USER import PKG
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quilt.bio/quilt-2-master/api/api-teams.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
